<?php // DEFINE PAGES AND CATEGORIES
$categories = get_categories('hide_empty=0');
$allcaregory = array();
foreach ($categories as $category) {
	$allcaregory[$category->cat_ID] = $category->cat_name;
}
$pages = get_pages(); 
$allpage = array();
foreach ($pages as $page) {
	$allpage[$page->ID] = $page->post_title;
}

// THEME OPTION NAVIGATION
$options_nav = array('general', 'seo', 'layout', 'advertisement', 'integration', 'support');

// THEME OPTION SETTINGS: General
$options[] = array("type" => "container", "id" => "general");
	$options[] = array("type" => "section", "name" => "Custom CSS");
		$options[] = array(
			"type" => "select",
			"id" => "custom_css",
			"description" => "Use <b>custom.css</b> stylesheet located inside custom folder for customization.",
			"std" => "disable",
			"options" => array('enable', 'disable')
		);
	$options[] = array("type" => "section_end");
	
	$options[] = array("type" => "section", "name" => "Custom Logo");
		$options[] = array(
			"type" => "text",
			"id" => "custom_logo",
			"description" => "Insert the complete url location of your own custom logo."
		);
	$options[] = array("type" => "section_end");
	
	$options[] = array("type" => "section", "name" => "Color Scheme");
		$options[] = array(
			"type" => "textblock",
			"id" => "color_scheme",
			"content" => "This feature is only available on premium version of the theme. Go <a href='http://wpcrunchy.com/premium/'>Premium Now &raquo;</a>."
		);
	$options[] = array("type" => "section_end");
$options[] = array("type" => "container_end");

// THEME OPTION SETTINGS: SEO
$options[] = array("type" => "container", "id" => "seo");
	$options[] = array("type" => "section", "name" => "Canonical URL");
		$options[] = array(
			"type" => "select",
			"id" => "canonical_url",
			"description" => "Add canonical URLs that helps you solve duplicate content issues on your site.",
			"std" => "no",
			"options" => array('yes', 'no')
		);
	$options[] = array("type" => "section_end");
	
	$options[] = array("type" => "section", "name" => "Meta Description");
		$options[] = array(
			"type" => "textarea",
			"id" => "meta_description",
			"description" => "You should use meta descriptions to provide search engines with additional information about topics that appear on your site. This only applies to your home page.",
			"row" => 7
		);
	$options[] = array("type" => "section_end");
	
	$options[] = array("type" => "section", "name" => "Meta Keywords");
		$options[] = array(
			"type" => "text",
			"id" => "meta_keywords",
			"description" => "Provide search engines with additional information about topics that appear on your site. This only applies to your home page."
		);
	$options[] = array("type" => "section_end");
	
	$options[] = array("type" => "section", "name" => "Meta Author");
		$options[] = array(
			"type" => "text",
			"id" => "meta_author",
			"description" => "You should write your full name here but only do so if this blog is writen only by one outhor. This only applies to your home page."
		);
	$options[] = array("type" => "section_end");
	
	$options[] = array("type" => "separator");
	
	$options[] = array("type" => "section", "name" => "More SEO Optimization Options");
		$options[] = array(
			"type" => "textblock",
			"id" => "more_seo",
			"content" => "This feature is only available on premium version of the theme. Go <a href='http://wpcrunchy.com/premium/'>Premium Now &raquo;</a>."
		);
	$options[] = array("type" => "section_end");
$options[] = array("type" => "container_end");

// THEME OPTION SETTINGS: Layout
$options[] = array("type" => "container", "id" => "layout");
	$options[] = array("type" => "section", "name" => "Blog Style Format");
		$options[] = array(
			"type" => "textblock",
			"id" => "blogstyle",
			"content" => "This feature is only available on premium version of the theme. Go <a href='http://wpcrunchy.com/premium/'>Premium Now &raquo;</a>."
		);
	$options[] = array("type" => "section_end");

	$options[] = array("type" => "separator");
	
	$options[] = array("type" => "section", "name" => "Featured Slider Category");
		$options[] = array(
			"type" => "supercheckbox",
			"id" => "featured_category",
			"description" => "You can choose which category will populate your featured slider.",
			"options" => $allcaregory
		);
	$options[] = array("type" => "section_end");
	
	$options[] = array("type" => "section", "name" => "More Options for Featured Slider");
		$options[] = array(
			"type" => "textblock",
			"id" => "more_featured",
			"content" => "This feature is only available on premium version of the theme. Go <a href='http://wpcrunchy.com/premium/'>Premium Now &raquo;</a>."
		);
	$options[] = array("type" => "section_end");
	
	$options[] = array("type" => "separator");
	
	$options[] = array("type" => "section", "name" => "Homepage Title");
		$options[] = array(
			"type" => "text",
			"id" => "homepage_title",
			"description" => "Input your homepage title to be display on homepage.",
			"std" => "Your awesome homepage title here"
		);
	$options[] = array("type" => "section_end");
	
	$options[] = array("type" => "separator");
	
	$options[] = array("type" => "section", "name" => "Service Panel #1");
		$options[] = array(
			"type" => "superselect",
			"id" => "service_page_one",
			"description" => "You can choose which page will populate the service page #1.",
			"options" => $allpage
		);
	$options[] = array("type" => "section_end");
	
	$options[] = array("type" => "section", "name" => "Service Panel #2");
		$options[] = array(
			"type" => "superselect",
			"id" => "service_page_two",
			"description" => "You can choose which page will populate the service panel #2.",
			"options" => $allpage
		);
	$options[] = array("type" => "section_end");
	
	$options[] = array("type" => "section", "name" => "Service Panel #3");
		$options[] = array(
			"type" => "superselect",
			"id" => "service_page_three",
			"description" => "You can choose which page will populate the service panel #3.",
			"options" => $allpage
		);
	$options[] = array("type" => "section_end");
	
	$options[] = array("type" => "section", "name" => "Service Panel #4");
		$options[] = array(
			"type" => "superselect",
			"id" => "service_page_four",
			"description" => "You can choose which page will populate the service panel #4.",
			"options" => $allpage
		);
	$options[] = array("type" => "section_end");
	
	$options[] = array("type" => "separator");
	
	$options[] = array("type" => "section", "name" => "Blog Template Page Options");
		$options[] = array(
			"type" => "textblock",
			"id" => "blogpage",
			"content" => "This feature is only available on premium version of the theme. Go <a href='http://wpcrunchy.com/premium/'>Premium Now &raquo;</a>."
		);
	$options[] = array("type" => "section_end");
	
	$options[] = array("type" => "separator");
	
	$options[] = array("type" => "section", "name" => "Display Footer Widgets");
		$options[] = array(
			"type" => "select",
			"id" => "footer_widgets",
			"description" => "You can choose whether or not to display footer widgets.",
			"std" => "no",
			"options" => array('yes', 'no')
		);
	$options[] = array("type" => "section_end");
$options[] = array("type" => "container_end");

// THEME OPTION SETTINGS: Advertisement
$options[] = array("type" => "container", "id" => "advertisement");
	
	$options[] = array("type" => "section", "name" => "Advertisement Options");
		$options[] = array(
			"type" => "textblock",
			"id" => "post_ads",
			"content" => "This feature is only available on premium version of the theme. Go <a href='http://wpcrunchy.com/premium/'>Premium Now &raquo;</a>."
		);
	$options[] = array("type" => "section_end");
$options[] = array("type" => "container_end");

// THEME OPTION SETTINGS: Integration
$options[] = array("type" => "container", "id" => "integration");
	$options[] = array("type" => "section", "name" => "Load Header Scripts");
		$options[] = array(
			"type" => "select",
			"id" => "load_header_scripts",
			"description" => "You can choose whether or not to load header scripts which will allow you to put scripts to your header.",
			"std" => "no",
			"options" => array('yes', 'no')
		);
	$options[] = array("type" => "section_end");
	
	$options[] = array("type" => "section", "name" => "Header Scripts Code");
		$options[] = array(
			"type" => "textarea",
			"id" => "header_scripts_code",
			"description" => "Any code you place here will appear in the head section of every page of your blog. This is useful when you need to add javascript or css to all page"
		);
	$options[] = array("type" => "section_end");
	
	$options[] = array("type" => "section", "name" => "Load Footer Scripts");
		$options[] = array(
			"type" => "select",
			"id" => "load_footer_scripts",
			"description" => "You can choose whether or not to load footer scripts which will allow you to put scripts to your footer.",
			"std" => "no",
			"options" => array('yes', 'no')
		);
	$options[] = array("type" => "section_end");
	
	$options[] = array("type" => "section", "name" => "Footer Scripts Code");
		$options[] = array(
			"type" => "textarea",
			"id" => "footer_scripts_code",
			"description" => "Any code you place here will appear in the foot section of every page of your blog. This is useful when you need to add scripts such as google analytics tracking code."
		);
	$options[] = array("type" => "section_end");
$options[] = array("type" => "container_end");

// THEME OPTION SETTINGS: Documentation
$options[] = array("type" => "container", "id" => "support");
	$options[] = array("type" => "section", "name" => "Requirements");
		$options[] = array(
			"type" => "documentation",
			"topic" => "requirements"
		);
	$options[] = array("type" => "section_end");
	
	$options[] = array("type" => "section", "name" => "Installation");
		$options[] = array(
			"type" => "documentation",
			"topic" => "installation"
		);
	$options[] = array("type" => "section_end");
	
	$options[] = array("type" => "section", "name" => "Customizing The Theme");
		$options[] = array(
			"type" => "documentation",
			"topic" => "customization"
		);
	$options[] = array("type" => "section_end");
	
	$options[] = array("type" => "section", "name" => "Adding Thumbnail Image in post and in featured area.");
		$options[] = array(
			"type" => "documentation",
			"topic" => "thumbnail"
		);
	$options[] = array("type" => "section_end");
	
	$options[] = array("type" => "section", "name" => "Adding Icons and Descriptions to service panel.");
		$options[] = array(
			"type" => "documentation",
			"topic" => "service"
		);
	$options[] = array("type" => "section_end");
	
	$options[] = array("type" => "section", "name" => "Further Support.");
		$options[] = array(
			"type" => "textblock",
			"content" => 'For further support in case your still confused or having difficulties installing theme, feel free to post your question at our <a href="http://wpcrunchy.com/support/">support forum</a> ( Premium Members Only ).'
		);
	$options[] = array("type" => "section_end");
$options[] = array("type" => "container_end");
?>